Patch a channel
PUT/api/v4/channels/:channel_id/patch
Partially update a channel by providing only the fields you want to update. Omitted fields will not be updated. At least one of the allowed fields must be provided.
Public and private channels: Can update name, display_name, purpose, header, group_constrained, autotranslation, and banner_info (subject to permissions and channel type).
Direct and group message channels: Only header and (when not restricted by config) autotranslation can be updated; the caller must be a channel member. Updating name, display_name, or purpose is not allowed.
The default channel (e.g. Town Square) cannot have its name changed.
Permissions
- Public channel: For property updates (name, display_name, purpose, header, group_constrained),
manage_public_channel_propertiesis required. Forautotranslation,manage_public_channel_auto_translationis required. Forbanner_info,manage_public_channel_banneris required (Channel Banner feature and Enterprise license required). - Private channel: For property updates,manage_private_channel_propertiesis required. Forautotranslation,manage_private_channel_auto_translationis required. Forbanner_info,manage_private_channel_banneris required (Channel Banner feature and Enterprise license required). - Direct or group message channel: Must be a member of the channel; onlyheaderand (when allowed)autotranslationcan be updated.
Request
Responses
- 200
- 400
- 401
- 403
- 404
Channel patch successful
Invalid or missing parameters in URL or request body
No access token provided
Do not have appropriate permissions
Resource not found